org.apache.poi.xssf.usermodel.helpers

## Class XSSFPasswordHelper

- java.lang.Object
- - org.apache.poi.xssf.usermodel.helpers.XSSFPasswordHelper

-     @Internal(since="3.15 beta 3")
      public final class XSSFPasswordHelper
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `setPassword(org.apache.xmlbeans.XmlObject xobj, java.lang.String password, HashAlgorithm hashAlgo, java.lang.String prefix)` Sets the XORed or hashed password
    `static boolean` | `validatePassword(org.apache.xmlbeans.XmlObject xobj, java.lang.String password, java.lang.String prefix)` Validates the password, i.e.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setPassword

          public static void setPassword(org.apache.xmlbeans.XmlObject xobj,
                                         java.lang.String password,
                                         HashAlgorithm hashAlgo,
                                         java.lang.String prefix)

      Sets the XORed or hashed password
      Parameters:
        `xobj` - the xmlbeans object which contains the password attributes
        `password` - the password, if null, the password attributes will be removed
        `hashAlgo` - the hash algorithm, if null the password will be XORed
        `prefix` - the prefix of the password attributes, may be null

    - #### validatePassword

          public static boolean validatePassword(org.apache.xmlbeans.XmlObject xobj,
                                                 java.lang.String password,
                                                 java.lang.String prefix)

      Validates the password, i.e. calculates the hash of the given password and compares it against the stored hash
      Parameters:
        `xobj` - the xmlbeans object which contains the password attributes
        `password` - the password, if null the method will always return false, even if there's no password set
        `prefix` - the prefix of the password attributes, may be null
      Returns:
        true, if the hashes match

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.